HomeDocumentationAPI Endpoints
Log In
API Endpoints

Aadhaar Demographic Verification

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Aadhaar Demographic API verifies users Aadhaar detail ranges without OTP. The businesses can configure these checks with our PAN Name Verification journey

  1. DOB range match

Journey Input Data

{
  "aadhaar_no": "<12 Digit Aadhaar Number>"
}

Journey Output Data

{
  "transaction_id": "",
  "journey_transaction_id": "",
  "journey_id": "",
  "status": "SUCCESS|FAILURE|IN_PROGRESS",
  "status_code": "Refer to the table below",
  "message": "Refer to the table below",
  "decision": "CLEAR|MUST REVIEW|NEEDS REVIEW",
  "checks": [],
  "data": {
    "keys": {
      "aadhaar": [
        {
          "lower_age_limit":"",
          "upper_age_limit":"",
          "gender":"",
          "mobile_number":"",
          "state":""
        }
      ]
    }
  }
}
📘

This journey does not include any pre-configured Ownership or Fraud Checks. To add these checks, please contact your Account Manager.

Status Codes

ScenarioHttp Status Codestatusstatus_codemessage
When request is successful and Aadhaar details are available.200SUCCESSsuccessRequest successful
When aadhaar_no provided is not a valid Aadhaar format200FAILUREinvalid_aadhaar_noaadhaar_no is Invalid
When no details found at Source for given Aadhaar Number.200FAILUREdocument_not_foundEntity not found
When Input doesn't contain the aadhaar_no field.400FAILUREinvalid_requestaadhaar_no is required
Invalid Client Credentials401FAILUREinvalid_credentialsInvalid Client Credentials
Any unhandled error from Equal end500FAILUREinternal_server_errorSomething went wrong, please try again.
Too many requests429No object will be sent, throttling happens at the gateway level.
Service Unavailable503

Status (Journey Status)

Possible ValuesDescription
SUCCESSShows that the verification process was completed successfully.
FAILUREIndicates that the verification process did not succeed.
IN_PROGRESSSignifies that the verification process is currently underway and has not yet been completed.

Decision

Possible ValuesDescription
CLEARIndicates that the verification has been completed and the information is confirmed as accurate and legitimate.
MUST REVIEWSignifies that further review is needed due to potential issues or inconsistencies in the verification results.
NEEDS REVIEWSuggests that the verification has identified areas that require further investigation or clarification before a final determination can be made.
📘

Journey ID will be shared as part of Onboarding

Key Descriptions

KeyDescription
transaction_idUnique identifier for the transaction.
journey_transaction_idUnique identifier for the journey transaction.
journey_idUnique identifier for the journey.
statusCurrent status of the transaction. Possible values: SUCCESS, FAILURE, IN_PROGRESS.
status_codeCode representing the specific status of the transaction. Refer to the documentation for possible values.
messageDetailed message about the transaction status. Refer to the documentation for specific messages.
decisionFinal decision based on all checks. Possible values: CLEAR, MUST REVIEW, NEEDS REVIEW.
checksList of checks performed during the transaction.
aadhaar_noAadhaar number of the holder.
nameName of the Aadhaar holder.
sourceSource from which the data was extracted (e.g., nsdl).
issuerIssuer of the Aadhaar (if available).
decision (key)Decision for this specific key based on the checks performed. Possible values: CLEAR, MUST REVIEW, NEEDS REVIEW.
checks (key)List of checks performed on this specific key.
Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various Verification Journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes. This facilitates checks such as matching the Aadhaar name with the PAN name, comparing the Aadhaar photo with a live image, and more.

string
required
Defaults to aadhaar_demographic_dev_test_v1

A journey ID stores all the configuration details that are applied as part of the verification process. This ID is provided by Equal and is unique for each verification journey.

input_data
object
required

The dynamic journey input data object structure varies depending on the journey_id and the configurations set for the specific journey. For example, Name Match journeys will have input parameters like Name.

Response
200
Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!